<?php

$lote_ids 		= $_POST["lote_ids"];
$idempreendimento = $_POST["idempreendimento"];


include "conexao.php";

function verifica_venda($lote_id)
{
	include "conexao.php";
	$consulta_venda = mysqli_query($db, "SELECT idvenda FROM venda WHERE lote_idlote = $lote_id and (status_venda != 1 and status_venda != 4)");
	$total = mysqli_num_rows($consulta_venda);
	return $total;
}
session_start();
$alterado_por = $_SESSION["id_usuario"]; // cadastrado por

function dados_empreendimentos($idlote)
{
	include "conexao.php";

	$query_slide = mysqli_query($db, "SELECT * FROM lote 
 									INNER JOIN produto ON lote.produto_idproduto=produto.idproduto 
                                   INNER JOIN empreendimento ON produto.empreendimento_idempreendimento=empreendimento.idempreendimento                
                                   INNER JOIN empreendimento_cadastro ON  empreendimento.empreendimento_cadastro_id=empreendimento_cadastro.idempreendimento_cadastro          
                                  where idlote = $idlote");


	while ($buscar_slide = mysqli_fetch_assoc($query_slide)) { //--While categoria

		$quadra      = $buscar_slide["quadra"];
		$descricao_empreendimento      = $buscar_slide["descricao_empreendimento"];
		$lote      = $buscar_slide["lote"];

		$dados['quadra'] =  $quadra;
		$dados['descricao_empreendimento'] =  $descricao_empreendimento;
		$dados["lote"] = $lote;
	}
	return $dados;
}

function nome_user($id)
{
	include "conexao.php";
	$query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";

	$executa_igpm = mysqli_query($db, $query_igpm);


	while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) { //--verifica se são amigos

		$nome_cli             = $buscar_amigoc['nome_cli'];
	}
	return $nome_cli;
}

//function que grava usuario que alterou e o que alterou
function grava_log($data_log, $usuario_id, $descricao_log, $lote, $desc_quadra, $desc_empreendimento)
{

	include "conexao.php";
	$query_log = "INSERT INTO log (data_log,usuario_id,descricao_log) VALUES ('$data_log','$usuario_id','$descricao_log')";

	$executa_log = mysqli_query($db, $query_log);
	return 1;
}

foreach ($lote_ids as $id) {

	$verifica_venda = verifica_venda($id);
	if ($verifica_venda == '0') {
		$atualiza = "DELETE FROM lote WHERE idlote = '$id'";
		//echo $atualiza."<br>";
		$executa_query = mysqli_query($db, $atualiza);

		date_default_timezone_set('America/Sao_Paulo');
		$nome_usuario = nome_user($alterado_por);
		$data_log = date('d-m-Y H:i:s');
		$usuario_id = $alterado_por;
		$descricao_log = "Usuário " . $nome_usuario . " excluiu todos os lotes";

		$executa_log = grava_log($data_log, $usuario_id, $descricao_log, $lote, $desc_quadra, $desc_empreendimento);
	}
}

?>

<script>
	window.location = 'cadastro_quadra.php?idempreendimento=<?php echo $idempreendimento ?>';
</script>